export declare class Widget {
    private el;
    class: string;
    strategy: string;
    height: string;
    chartId: string;
    width: number;
    dailyGains: [{
        date: string;
        gain: number;
    }?];
    monthlyGains: [{
        date: string;
        gain: number;
    }?];
    name: string;
    currency: [string?];
    gain: number;
    openPl: number;
    capitalGuard: number;
    minimalDeposit: object;
    performanceFee: number;
    managementFee: number;
    depositCommission: number;
    validateName(newValue: string): void;
    handleWindowResize(): void;
    componentDidLoad(): void;
    componentDidRender(): void;
    calculateSize(): void;
    getData(): void;
    generateChart(): void;
    render(): any;
}
